\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and Solvers

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
SvdTraits::Vector Concept Reference

## Definition

Concept of vector type used by the concept `SvdTraits`.

Has Models:
  `CGAL::Eigen_vector<T>`

## Public Member Functions
| Vector (size_t n)
| initialize all the elements of the vector to zero.
size_t | size ()
FT | operator() (size_t i)
| return the `i`th entry, `i` from `0` to `size()-1`.
void | set (size_t i, const FT value)
| set the `i`'th entry to `value`.
FT * | vector ()
| return the vector as an array.